summaryrefslogtreecommitdiffstats
path: root/network/pflogsumm/pflogsumm.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/pflogsumm/pflogsumm.SlackBuild')
-rw-r--r--network/pflogsumm/pflogsumm.SlackBuild62
1 files changed, 62 insertions, 0 deletions
diff --git a/network/pflogsumm/pflogsumm.SlackBuild b/network/pflogsumm/pflogsumm.SlackBuild
new file mode 100644
index 0000000000..f8768fbf5c
--- /dev/null
+++ b/network/pflogsumm/pflogsumm.SlackBuild
@@ -0,0 +1,62 @@
+#!/bin/sh
+
+# Slackware Package Build Script for pflogsumm
+# Home Page http://jimsun.linxnet.com/postfix_contrib.html
+
+# Copyright (c) 2008-2010, Nishant Limbachia, Hoffman Estates, IL, USA (nishant@mnspace.net)
+# All rights reserved.
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+
+# 1. Redistributions of script must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pflogsumm
+VERSION=1.1.2
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="ChangeLog README ToDo pflogsumm-faq.txt"
+
+set -e
+
+### clean up from previous builds
+rm -fr $TMP/$PRGNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $TMP/$PRGNAM-$VERSION
+chown -R root.root .
+mkdir -p $PKG/usr/{bin,man/man1,doc/$PRGNAM-$VERSION}
+install -m 0755 pflogsumm.pl $PKG/usr/bin
+install -m 0644 pflogsumm.1 $PKG/usr/man/man1
+install -m 0644 $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+install -m 0644 -o root -g root $CWD/sample_cronjob.txt $PKG/usr/doc/$PRGNAM-$VERSION
+
+# compress man page
+gzip -9 $PKG/usr/man/man1/pflogsumm.1
+
+### putting slack-desc and doinst.sh in place
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}